nfsftf_plan Struct Reference

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with float precision More...

`#include <nfft3.h>`

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftwf_complex * | f_hat
| Fourier coefficients.
fftwf_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
int | N
| the bandwidth
float * | x
| the nodes for ,
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfftf_plan | plan_nfft
| the internal NFFT plan
fftwf_complex * | f_hat_intern
| Internally used pointer to spherical Fourier coefficients.
double | MEASURE_TIME_t [3]
| Measured time for each step if MEASURE_TIME is set.

## Detailed Description

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with float precision

Definition at line 574 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nfsftf_plan::N_total

Total number of Fourier coefficients.

Definition at line 574 of file nfft3.h.

## M_total

NFFT_INT nfsftf_plan::M_total

Total number of samples.

Definition at line 574 of file nfft3.h.

## f_hat

fftwf_complex* nfsftf_plan::f_hat

Fourier coefficients.

Definition at line 574 of file nfft3.h.

## f

fftwf_complex* nfsftf_plan::f

Samples.

Definition at line 574 of file nfft3.h.

## mv_trafo

void(* nfsftf_plan::mv_trafo) (void *)

Transform.

Definition at line 574 of file nfft3.h.

## mv_adjoint

void(* nfsftf_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 574 of file nfft3.h.

## N

int nfsftf_plan::N

the bandwidth

Definition at line 574 of file nfft3.h.

## x

float* nfsftf_plan::x

the nodes for ,

Definition at line 574 of file nfft3.h.

## t

int nfsftf_plan::t

the logarithm of NPT with respect to the basis 2

Definition at line 574 of file nfft3.h.

## flags

unsigned int nfsftf_plan::flags

the planner flags

Definition at line 574 of file nfft3.h.

## plan_nfft

nfftf_plan nfsftf_plan::plan_nfft

the internal NFFT plan

Definition at line 574 of file nfft3.h.

## f_hat_intern

fftwf_complex* nfsftf_plan::f_hat_intern

Internally used pointer to spherical Fourier coefficients.

Definition at line 574 of file nfft3.h.

## MEASURE_TIME_t

double nfsftf_plan::MEASURE_TIME_t[3]

Measured time for each step if MEASURE_TIME is set.

Definition at line 574 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h